function [CMinv]=formCMinv(nx,alphax)
%
% CMinv=(nx,ny,nz,alphax,alphay,alphaz)
%
% Calcul l'inverse de la matrice de covariance pour une covariance de type
% exponentiel exp(-|DX|/alpha_x/DX -)
% normalisee
% 


N=nx;

CI=zeros(N,N);


% Lissage suivant x
% Le iieme noeud du maillage 3D a pour indice (I,J,K) I(i), J(i), K(i)
% Si on lisse suivant x, les noeuds a prendre en compte sont 
% I(i), I(i)+1, I(i)-1 auquels on applique les coefficients
% calculés dans le papier


% centre maillage 
c1=1+2*alphax*alphax;   % pour I
c2=-alphax*alphax;      % pour I+1 et I-1

% bord maillage
c1b=1+alphax*alphax;%1+2*alphax*alphax;%1-alphax*alphax;    % pour I
c2b=-alphax*alphax;%2*alphax*alphax;    % pour I+1 (resp I-1)

c1b=(1+alphax/2*exp(-1/alphax))*2*alphax;
c2b=-alphax*alphax;

c=2*alphax;
%c=1;

for i=1:N
    
    %lissage x
    if i==1       % noeud sur le bord
        CI(i,i)=c1b;
        CI(i,2)=c2b;

    elseif i==nx  % noeud sur le bord
        CI(i,i)=c1b;        %% ???
        CI(i,nx-1)=c2b;

    else         % noeud dans le maillage
        CI(i,i)=c1;
        CI(i,i+1)=c2;
        CI(i,i-1)=c2;

    end
end
CMinv=sparse(CI)/c;




